DELETE
/
v1
/
customers
/
{customerId}
/
accounts
/
{accountId}
/
cards
/
invites
/
{invitedCustomerId}
Revoke a card invite
curl --request DELETE \
  --url https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/invites/{invitedCustomerId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/invites/{invitedCustomerId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/v1/customers/{customerId}/accounts/{accountId}/cards/invites/{invitedCustomerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Cardholder invite revoked successfully"
}
{
"success": false,
"code": "VALIDATION_ERROR",
"message": "newPin must be 4 digits"
}
{
"success": false,
"code": "CARD_NOT_FOUND",
"message": "Card not found"
}

Authorizations

Authorization
string
header
required

The user's access token. The program and environment come from the token.

Path Parameters

customerId
string
required

The customer's id.

accountId
string
required

The account the card belongs to. A customer can have several accounts; cards are issued against one.

invitedCustomerId
string
required

The invited customer's ID.

Query Parameters

cardId
string

Optional. Revoke only this card's invite.

Response

Revoked

success
boolean
Example:

true

message
string
Example:

"Cardholder invite revoked successfully"